# spidr4py library

This archive contains the release of the spidr4py library which contains the top level package spidr4. This package also contains the following sub-packages:

 * io - read access to the spidr4 data-acquisition (sdaq) file format
 * stream - support for acquiring tpx4 pixel data directly over slow control or 10 GBe without using a DAQ server.
 * rpc - Direct access to the gRPC stubs. See https://spidr4.nikhef.nl/docs/html/reference/grpc.html for the gRPC objects and messages. 
 * tpx4tools - support tools for tpx4 such as pixel coordinate translation functions, structures for disecting pixel packets and functions for which an easy gRPC stub does not exist. 
 * tpx4regs - contains constants for each timepix4 address.  

For examples of hows these work together, see the examples directory. 

## Requirements

 * python 3.6 or higher

## Contains

 * Installation:`spidr4py-<version>-py3-none-any.whl`
 * Examples: examples/` 

## Installation

```bash
$ pip3 install --user spidr4py-<version>-py3-none-any.whl`
```
Where you need to replace version with the correct version.

## Running the examples

Go into the examples directory.

To run the hello world example:

```bash
$ cd examples
$ python3 spidr4_helloworld.py 192.168.1.10
```
Where you need to replace `192.168.1.10` the IP with the IP of your spidr4 control board.



## Questions

Please contact me: v.van.beveren@nikhef.nl, or someone from the spidr4 team.
